/*
 * tegra-board-id.h: Defines all boardid of Tegra.
 *
 * Copyright (c) 2012-2014, NVIDIA Corporation. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef _MACH_TEGRA_BOARD_ID_H
#define _MACH_TEGRA_BOARD_ID_H

/* Processor Board  ID */
#define BOARD_E1611   0x064B
#define BOARD_E1612   0x064C
#define BOARD_E1613   0x064D
#define BOARD_E1580   0x062C
#define BOARD_E1780   0x06F4
#define BOARD_E1781   0x06F5
#define BOARD_E1792   0x0700
#define BOARD_PM358   0x0166
#define BOARD_PM359   0x0167
#define BOARD_PM363   0x016B
#define BOARD_PM370   0x0172
#define BOARD_PM374   0x0176
#define BOARD_E2548   0x09F4
#define BOARD_E2549   0x09F5
#define BOARD_E1782   0x06F6
#define BOARD_P2530   0x09E2
#define BOARD_P1761   0x06E1
#define BOARD_E1762   0x06E2
#define BOARD_P1765   0x06E5
#define BOARD_E1791   0x06ff
#define BOARD_E1784   0x06F8
#define BOARD_E1922   0x0782
#define BOARD_E1923   0x0783
#define BOARD_E1971   0x07B3
#define BOARD_E1973   0x07B5
#define BOARD_E1991   0x07c7
#define BOARD_PM375   0x0177
#define BOARD_PM377   0x0179

/* Board SKU */
#define BOARD_SKU_FOSTER  0x0384
#define BOARD_SKU_0       0x0000
#define BOARD_SKU_100     0x0064
/* Panel board ID */
#define    BOARD_E1627    0x065b
#define    BOARD_E1639    0x0667
#define    BOARD_E1631    0x065f
#define    BOARD_PM354    0x0162
#define    BOARD_E1807    0x070F
#define    BOARD_E1813    0x0715
#define    BOARD_E1824    0x0720
#define    BOARD_E1937    0x0791
#define    BOARD_PM366    0x016e
#define    BOARD_E1549    0x060D
#define    BOARD_E1797    0x0705
#define    BOARD_E1937    0x0791

#define    BOARD_E1563    0x061b


/* PMIC board ID */
#define BOARD_E1731    0x6c3
#define BOARD_E1733    0x6c5
#define BOARD_E1734    0x6c6
#define BOARD_E1735    0x6c7
#define BOARD_E1736    0x6c8
#define BOARD_E1769    0x6e9
#define BOARD_E1936    0x790
#define BOARD_E2545    0x9f1

/* Board Fab version */
#define BOARD_FAB_A00			0x0
#define BOARD_FAB_A01			0x1
#define BOARD_FAB_A02			0x2
#define BOARD_FAB_A03			0x3
#define BOARD_FAB_A04			0x4
#define BOARD_FAB_A05			0x5
#define BOARD_FAB_A06			0x6
#define BOARD_FAB_A07			0x7

#endif
